Bug 1214067 - [rfe] add support for history undo [NEEDINFO]
Summary: [rfe] add support for history undo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1079526
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-21 20:55 UTC by John
Modified: 2015-11-19 12:23 UTC (History)
2 users (show)

Fixed In Version: yumex-dnf-4.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:23:56 UTC
Type: Bug
zhostih: needinfo? (tla)


Attachments (Terms of Use)

Description John 2015-04-21 20:55:33 UTC
Description of problem:
Prior version had ability to "undo" transaction from the yum history. This was very useful -- please re-add :-)

Version-Release number of selected component (if applicable):
4.1.0

How reproducible:
1005

Comment 1 Tim Lauridsen 2015-04-22 05:38:00 UTC
Upstream issue
https://github.com/timlau/yumex-dnf/issues/7

Comment 2 Tim Lauridsen 2015-04-22 08:17:37 UTC
DNF has no public API for handling history, so need to wait for it to be added

Comment 3 Tim Lauridsen 2015-05-19 05:37:14 UTC
history has undo was added upstrean

https://github.com/timlau/yumex-dnf/issues/7

Comment 4 Fedora Update System 2015-05-27 16:26:22 UTC
dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22

Comment 5 Fedora Update System 2015-05-27 16:26:35 UTC
dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21

Comment 6 Fedora Update System 2015-05-28 12:01:35 UTC
Package dnfdaemon-0.3.9-1.fc21, yumex-dnf-4.1.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnfdaemon-0.3.9-1.fc21 yumex-dnf-4.1.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9000/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-10-01 07:35:28 UTC
dnfdaemon-0.3.10-1.fc22 yumex-dnf-4.1.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 8 Fedora Update System 2015-10-04 01:37:17 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 9 Fedora End Of Life 2015-11-04 16:01:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Joseph 2015-11-05 12:49:54 UTC
in yumex-dnf 4.1.4 (in testing) the new history undo feature doesn't work ...

I get the following messages:
"Error in undo history transaction"
"An operation cannot be undone : no package matched"

this issue still applies to Fedora 22 -- please change from Fedora 21 to keep this bug open.

Comment 11 Fedora Update System 2015-11-19 12:23:45 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.